List Dev.to events
List Dev.to challenges, live streams and other events.
Headers
Get your API keyAPI key (`sfk_...`)
Only events of this type. Omit for all events.
one of: challenge, live_stream, takeover, other
Endpoint-specific response payload.
Events, as Dev.to lists them (all in one response).
Numeric event id.
Event title.
Short description.
Event type: `challenge`, `live_stream`, `takeover` or `other`.
Event slug.
Slug of this occurrence of the event.
When the event starts.
When the event ends.
When the live broadcast ended, or null.
Embedded stream URL (Twitch or YouTube).
Embedded chat URL.
Full event details, when the event has them.
Cover image URL.
Event colour (hex).
Tags of the event.
When the event was created.
When the event was last updated.
Number of events.
≥ 0
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/dev-to/events?type=live_stream" \
-H "x-api-key: YOUR_API_KEY"Responses
Event list.